//
//  ANImageHelper+BlendingModes.h
//  AvisNocturnaCrossCore
//
//  Created by Mendel Kucharzeck on 17.04.12.
//  Copyright (c) 2012 AvisNocturna Software. All rights reserved.
//

#import <AvisNocturnaCrossCore/ANImageHelper.h>

enum _ANImageHelper_BlendingMode
{
    ANImageHelper_BlendingModes_Normal = 0,
    ANImageHelper_BlendingModes_Add = 1,
    ANImageHelper_BlendingModes_Multiply = 2,
    ANImageHelper_BlendingModes_Color = 3,
    ANImageHelper_BlendingModes_ColorBurn = 4,
    ANImageHelper_BlendingModes_ColorDodge = 5,
    ANImageHelper_BlendingModes_Darken = 6,
    ANImageHelper_BlendingModes_Difference = 7,
    ANImageHelper_BlendingModes_Exclusion = 8,
    ANImageHelper_BlendingModes_HardLight = 9,
    ANImageHelper_BlendingModes_Hue = 10,
    ANImageHelper_BlendingModes_Lighten = 11,
    ANImageHelper_BlendingModes_Luminosity = 12,
    ANImageHelper_BlendingModes_Maximum = 13,
    ANImageHelper_BlendingModes_Minimum = 14,
    ANImageHelper_BlendingModes_Overlay = 15,
    ANImageHelper_BlendingModes_Saturation = 16,
    ANImageHelper_BlendingModes_SoftLight = 17
    
}typedef ANImageHelper_BlendingMode;

@interface ANImageHelper (BlendingModes)

+ (NSString*) ciFilterNameForBlendingMode:(ANImageHelper_BlendingMode)blendingMode;
+ (CGBlendMode) cgBlendModeForBlendingMode:(ANImageHelper_BlendingMode)blendingMode;
+ (UInt32) photoshopPSDBlendModeForBlendingMode:(ANImageHelper_BlendingMode)blendingMode;

@end
